package com.ruoyi.kaohe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.kaohe.mapper.KhPcEmpMapper;
import com.ruoyi.kaohe.domain.KhPcEmp;
import com.ruoyi.kaohe.service.IKhPcEmpService;

/**
 * 评测与职工Service业务层处理
 * 
 * @author hs
 * @date 2025-06-17
 */
@Service
public class KhPcEmpServiceImpl implements IKhPcEmpService 
{
    @Autowired
    private KhPcEmpMapper khPcEmpMapper;

    /**
     * 查询评测与职工
     * 
     * @param id 评测与职工主键
     * @return 评测与职工
     */
    @Override
    public KhPcEmp selectKhPcEmpById(Long id)
    {
        return khPcEmpMapper.selectKhPcEmpById(id);
    }

    /**
     * 查询评测与职工列表
     * 
     * @param khPcEmp 评测与职工
     * @return 评测与职工
     */
    @Override
    public List<KhPcEmp> selectKhPcEmpList(KhPcEmp khPcEmp)
    {
        return khPcEmpMapper.selectKhPcEmpList(khPcEmp);
    }

    /**
     * 新增评测与职工
     * 
     * @param khPcEmp 评测与职工
     * @return 结果
     */
    @Override
    public int insertKhPcEmp(KhPcEmp khPcEmp)
    {
        khPcEmp.setCreateTime(DateUtils.getNowDate());
        return khPcEmpMapper.insertKhPcEmp(khPcEmp);
    }

    /**
     * 修改评测与职工
     * 
     * @param khPcEmp 评测与职工
     * @return 结果
     */
    @Override
    public int updateKhPcEmp(KhPcEmp khPcEmp)
    {
        khPcEmp.setUpdateTime(DateUtils.getNowDate());
        return khPcEmpMapper.updateKhPcEmp(khPcEmp);
    }

    /**
     * 批量删除评测与职工
     * 
     * @param ids 需要删除的评测与职工主键
     * @return 结果
     */
    @Override
    public int deleteKhPcEmpByIds(Long[] ids)
    {
        return khPcEmpMapper.deleteKhPcEmpByIds(ids);
    }

    /**
     * 删除评测与职工信息
     * 
     * @param id 评测与职工主键
     * @return 结果
     */
    @Override
    public int deleteKhPcEmpById(Long id)
    {
        return khPcEmpMapper.deleteKhPcEmpById(id);
    }
}
